# Interface methods for submodule: TimeVaryingBSplineVelocityFieldTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import VelocityFieldTransformProxy as _VelocityFieldTransformProxy


# Interface methods for class: TimeVaryingBSplineVelocityFieldTransform
class TimeVaryingBSplineVelocityFieldTransformProxy(_VelocityFieldTransformProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetTimeVaryingVelocityFieldControlPointLattice(self):
		""""""
		...

	def SetTimeVaryingVelocityFieldControlPointLattice(self, fieldLattice) -> None:
		""""""
		...

	def UpdateTransformParameters(self, update: Sequence[float], factor: float = 1) -> None:
		""""""
		...

	def IntegrateVelocityField(self) -> None:
		""""""
		...

	def SetVelocityFieldOrigin(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetVelocityFieldOrigin(self) -> Sequence[float]:
		""""""
		...

	def SetVelocityFieldSpacing(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetVelocityFieldSpacing(self) -> Sequence[float]:
		""""""
		...

	def SetVelocityFieldSize(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetVelocityFieldSize(self) -> Sequence[int]:
		""""""
		...

	def SetVelocityFieldDirection(self, _arg) -> None:
		""""""
		...

	def GetVelocityFieldDirection(self):
		""""""
		...

	def SetSplineOrder(self, _arg: int) -> None:
		""""""
		...

	def GetSplineOrder(self) -> int:
		""""""
		...

